GET

/api/v1/bots/grid

Permission: BOTS_READSecurity: SIGNED

Returns a paginated list of Grid Bots linked to user exchange accounts with customizable sorting and currency filtering.

If successful, the response includes an array of Grid Bot entities.
Grid Bot Entity

Query Parameters

9
account_idstring / array

Unique Quentrade exchange account ID. Use a comma-separated list or array notation to specify multiple account IDs.

statestring

Filter entities by bot operational state: enabled (active) or disabled (inactive).

sort_bystring

Specifies the field by which to sort the response: current_profit, profit, bot_id, pair, created_at, updated_at, or name.

sort_directionstring
default: DESC

Sets the sorting direction: ASC (ascending) or DESC (descending).

limitinteger
default: 10

Quantity of records to retrieve per page (min: 1, max: 1000).

offsetinteger
default: 0

Specifies the starting record index offset for pagination.

fromstring

Filters bot records created on or after this ISO 8601 date string.

basestring

Filters entities by the base currency of the trading pair (e.g., BTC in BTC/USDT).

quotestring

Filters entities by the quote currency of the trading pair (e.g., USDT in BTC/USDT).

Example Request

GETGET /api/v1/bots/grid?account_ids[]=32833909&account_ids[]=32864603&state=enabled&sort_by=current_profit&sort_direction=DESC&limit=10

Example Responses

If successful, returns HTTP 200 with an array of Grid Bot entities.

get_list_grid_bots_200.json
200 OK
[
  {
    "id": 2338357,
    "account_id": 32833909,
    "account_name": "My Binance",
    "is_enabled": true,
    "grids_quantity": "81",
    "created_at": "2024-10-03T19:53:35.530Z",
    "updated_at": "2024-10-07T23:04:03.759Z",
    "strategy_type": "manual",
    "upper_stop_loss_enabled": false,
    "lower_stop_loss_enabled": false,
    "note": "Active bot example",
    "editable": true,
    "lower_price": "0.0175",
    "lower_stop_loss_price": null,
    "lower_stop_loss_action": "stop_bot",
    "upper_price": "0.024073",
    "upper_stop_loss_price": null,
    "upper_stop_loss_action": "stop_bot",
    "quantity_per_grid": "20.0",
    "leverage_type": "cross",
    "leverage_custom_value": "10.0",
    "name": "VETUSDT/BNFCR",
    "pair": "BNFCR_VETUSDT",
    "start_price": "0.022395",
    "grid_price_step": "1.00399408015751539830711995",
    "current_profit": "2.8432585523697479",
    "current_profit_usd": "2.8432585523697479",
    "total_profits_count": "23",
    "bought_volume": "0.0",
    "sold_volume": "0.0",
    "profit_percentage": "0.177716336029358217871680786990536",
    "current_price": "0.022681",
    "max_active_buy_lines": "81",
    "max_active_sell_lines": "81",
    "order_currency_type": "quote",
    "profit_currency_type": "quote",
    "trailing_up_enabled": "true",
    "grid_type": "geometric",
    "investment_base_currency": "830.806297511735138952353258838",
    "investment_quote_currency": "200.0",
    "unrealized_profit_loss": "0.14717986",
    "current_profit_loss": "2.9904384123697479",
    "current_profit_loss_percent": "0.1869157334723778284605040877565797",
    "orderbook_price_currency": "BNFCR",
    "expansion_down_enabled": "false",
    "expansion_down_stop_price": null,
    "grid_lines": [
      {
        "id": 256427646,
        "price": "0.01957",
        "side": "buy",
        "order_placed": false
      },
      {
        "id": 256427674,
        "price": "0.021884",
        "side": "buy",
        "order_placed": true
      }
    ],
    "mode": "long"
  },
  {
    "id": 2340692,
    "account_id": 32864603,
    "account_name": "My Gate.io",
    "is_enabled": false,
    "grids_quantity": "10",
    "created_at": "2024-10-07T19:49:05.146Z",
    "updated_at": "2024-10-07T19:49:05.266Z",
    "strategy_type": "manual",
    "upper_stop_loss_enabled": false,
    "lower_stop_loss_enabled": false,
    "note": null,
    "editable": true,
    "lower_price": "0.11016",
    "lower_stop_loss_price": null,
    "lower_stop_loss_action": "stop_bot",
    "upper_price": "0.15161",
    "upper_stop_loss_price": null,
    "upper_stop_loss_action": "stop_bot",
    "quantity_per_grid": "32.0",
    "leverage_type": "not_specified",
    "leverage_custom_value": "10.0",
    "name": "DOGE_USDT/USDT",
    "pair": "USDT_DOGE_USDT",
    "start_price": null,
    "grid_price_step": "0.004605555555555555555555555555555555555555556",
    "current_profit": "0.0",
    "current_profit_usd": "0.0",
    "total_profits_count": "0",
    "bought_volume": "0.0",
    "sold_volume": "0.0",
    "profit_percentage": "0.0",
    "current_price": "0.10658",
    "max_active_buy_lines": "10",
    "max_active_sell_lines": "10",
    "order_currency_type": "base",
    "profit_currency_type": "quote",
    "trailing_up_enabled": "false",
    "grid_type": "arithmetic",
    "investment_base_currency": "0.0",
    "investment_quote_currency": "0.0",
    "unrealized_profit_loss": "0.0",
    "current_profit_loss": null,
    "current_profit_loss_percent": null,
    "orderbook_price_currency": "USDT",
    "expansion_down_enabled": "false",
    "expansion_down_stop_price": null,
    "grid_lines": [
      {
        "id": 256564760,
        "price": "0.11016",
        "side": null,
        "order_placed": false
      },
      {
        "id": 256564761,
        "price": "0.11477",
        "side": "sell",
        "order_placed": false
      }
    ],
    "mode": null
  }
]